Jump to content

moving drawing work in one plane


chow choppe
 Share

Recommended Posts

Hi all

 

I have a drawing done in autocad 2007 which looks ok in plan but when i see it in isometric view the drawing is not in one plane. i mean numerous lines points etc are in different plane i.e their z coordinate is shifted.

How can make this complete drawing to be in one plane. i am facing lot of trouble to use it for 3dmodelling in Autocad as the points are not snapping correctly. I tried flatten command but its not helping

Please help

Thanks

Link to comment
Share on other sites

  • 1 month later...

I use this Lisp routine whenever I need to flatten a drawing. I can't remember where I found it, but it works much better than the Express Tools FLATTEN command. This routine will send everything in your drawing to Z0.

 

 
(defun c:flat (/ total-nabor) 
 (vl-load-com) 
 (if 
   (setq total-nabor (ssget "x" '((410 . "model")))) 
    (progn 
      (setq total-nabor 
       (mapcar 'vlax-ename->vla-object 
         (mapcar 'cadr 
           (ssnamex total-nabor))) 
      ) 
      (foreach  i '(1e99 -1e99) 
  (mapcar (function (lambda (x) 
          (vla-move x 
              (vlax-3d-point (list 0 0 0)) 
              (vlax-3d-point (list 0 0 i))) 
        )) total-nabor ))) 
 ) 
 (princ) 
) 

Link to comment
Share on other sites

I use this Lisp routine whenever I need to flatten a drawing. I can't remember where I found it, but it works much better than the Express Tools FLATTEN command. This routine will send everything in your drawing to Z0.

 

 
(defun c:flat (/ total-nabor) 
 (vl-load-com) 
 (if 
   (setq total-nabor (ssget "x" '((410 . "model")))) 
    (progn 
      (setq total-nabor 
       (mapcar 'vlax-ename->vla-object 
         (mapcar 'cadr 
           (ssnamex total-nabor))) 
      ) 
      (foreach  i '(1e99 -1e99) 
  (mapcar (function (lambda (x) 
          (vla-move x 
              (vlax-3d-point (list 0 0 0)) 
              (vlax-3d-point (list 0 0 i))) 
        )) total-nabor ))) 
 ) 
 (princ) 
) 

 

Thnks man it does the trick but i am facing a problem here

after using the flat command it does bring everything on same plane but after that when i use zoom----> extents the drawing disappears from the screen and i am not able to ind it after that

 

Please help

Link to comment
Share on other sites

What happens when you Zoom Extents before running the FLAT routine? It should do the same thing. There must be other entities in the file, far away from the main drawing. So when you Zoom Extents, your view expands to show everything in the drawing. The problem is that you are zoomed out so far that you can't see the entities anymore.

 

After Zoom Extents, Hold down the Ctrl key and hit "A". This will select everything in the drawing and you will see little blue grips appear on screen. From there, you will be able to track down the location of the drawing entities.

 

You may want to delete the extra entities that are far away from the main drawing, if they are not necessary. They are probably just stray blocks that got inserted at 0,0 at some point during the drawing creation.

 

Be sure to save a back-up copy of this drawing though, before you delete anything.

Link to comment
Share on other sites

What happens when you Zoom Extents before running the FLAT routine? It should do the same thing. There must be other entities in the file, far away from the main drawing. So when you Zoom Extents, your view expands to show everything in the drawing. The problem is that you are zoomed out so far that you can't see the entities anymore.

 

After Zoom Extents, Hold down the Ctrl key and hit "A". This will select everything in the drawing and you will see little blue grips appear on screen. From there, you will be able to track down the location of the drawing entities.

 

You may want to delete the extra entities that are far away from the main drawing, if they are not necessary. They are probably just stray blocks that got inserted at 0,0 at some point during the drawing creation.

 

Be sure to save a back-up copy of this drawing though, before you delete anything.

 

no i am using the z externts command after using the flat command. also i am aware of all the things like ctrl+a and all but that doesnt help

the drawing disappers from the screen

send me ur email id

i will email u that drawing i am having trouble with

 

thnaks

Link to comment
Share on other sites

  • 2 months later...

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...